<%- include('partials/header'); -%>
    <form action="/login">
        <h2>Login</h2>
        <label for="email">Email</label>
        <input type="text" name="email" required />
        <div class="email error"></div>
        <label for="password">Password</label>
        <input type="password" name="password" required />
        <div class="password error"></div>
        <button type="submit">Login</button>
    </form>
    <script>
        const form = document.querySelector('form');
        form.addEventListener('submit', async (e) => {
            e.preventDefault();
            // get values  
            const email = form.email.value;
            const password = form.password.value;
            try {
                const res = await fetch('/login', {
                    method: 'POST',
                    body: JSON.stringify({ email, password }),
                    headers: { 'Content-Type': 'application/json' }
                });
            } catch (err) {
                console.log(err);
            }
        }); 
    </script>
<%- include('partials/footer'); -%>